::selection {
    background-color: royalblue;
}

::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}
::-webkit-scrollbar-track {
    background: #eaeaea;
}
::-webkit-scrollbar-thumb {
    background: #cccccc;
}
::-webkit-scrollbar-thumb:hover {
    background: #c2c2c2;
}

html, body {
    background-color: #f5f5f5;
}
aside {
    background-color: #f5f5f5;
    top: 0;
}
main {
    margin-bottom: 40px;
}
#widget,
.widget {
    display: block;
    position: relative;
    width: 600px;
    height: 300px;
    margin: 0 auto;
    margin-top: 30px;
}
.short {
    height: 60px;
}
a,
a:visited {
    color: #999;
    border-bottom: 1px solid #eee;
    padding-bottom: 1px;
    transition: .3s color, .3s border-bottom;
}
a:hover {
    color: black;
    border-bottom: 3px solid royalblue;
}
a.margined {
    margin-right: 20px;
}
@media screen and (max-width: 800px) {
    main {
        width: 70%;
        max-width: 70%;
    }
    #widget,
    .widget {
        width: 100%;
        height: 200px;
    }
    .short {
        height: 40px;
    }
    pre code {
        width: 100%;
        font-size: 1em;
    }
}
pre {
    width: auto;
    overflow-x: hidden;
    border-radius: 0;
}
pre code {
    width: calc(100% - 20px);
    background-color: #f5f5f5 !important;
    font-size: 0.8em;
    padding: 10px !important;
}
#desc {
    position: relative;
    width: 100%;
    font-size: 1em;
    text-align: justify;
}
#doc-link {
    position: relative;
    width: 100%;
    font-size: 1em;
    margin-top: 20px;
}
h1 {
    margin: 50px 0 10px -20px;
    padding: 5px 5px 7px 15px;
    border-left: 5px solid royalblue;
}
.good {
    color: forestgreen;
    font-weight: bold;
}
.bad {
    color: #cc0000;
    font-weight: bold;
}
